using System;

internal sealed class Delegate855 : MulticastDelegate
{
	public extern bool Invoke(object object_0, Type type_0);

	public static bool smethod_0(object object_0, Type type_0, Delegate855 delegate855_1)
	{
		return delegate855_1(object_0, type_0);
	}

	public extern Delegate855(object object_0, IntPtr intptr_0);

	static Delegate855()
	{
		Class10.smethod_13(typeof(Delegate855).TypeHandle);
	}

	internal static Delegate855 delegate855_0;
}
